OVH Community, votre nouvel espace communautaire.

Mise en ligne nouveau site impossible - erreur PHP


Nadrob
16/11/2014, 22h11
Merci pour tes encouragements. Bon, j'ai essayé toutes vos solutions mais rien ne marche. Je laisse tomber pour aujourd'hui et je vais solliciter l'aide d'un webmaster.
Si j'apprends ce qui clochait je le posterai ici.
Merci à vous deux!

Daniel60
16/11/2014, 21h07
Citation Envoyé par Nadrob
Merci fritz2cat, j'étais en train d'écrire mon commentaire quand le tien est arrivé, donc je n'ai pas pu en tenir compte. Je suis entrain de lire le doc que tu m'as mis en lien, mais j'avoue que c'est compliqué pour moi, étant débutante dans le domaine. Je ne sais pas coder, alors ça ne me rend pas la tâche facile.
Si tu ne sais pas coder du tout je te souhaite bonne chance !

Nadrob
16/11/2014, 21h03
Merci fritz2cat, j'étais en train d'écrire mon commentaire quand le tien est arrivé, donc je n'ai pas pu en tenir compte. Je suis entrain de lire le doc que tu m'as mis en lien, mais j'avoue que c'est compliqué pour moi, étant débutante dans le domaine. Je ne sais pas coder, alors ça ne me rend pas la tâche facile.

fritz2cat
16/11/2014, 20h56
Je ne connais pas Texedit.
Choisis ASCII ou ANSI (et évite UTF-8 ou tout autre format)

Tu as le choix entre .htaccess ou .ovhconfig (vois mon post #3) mais dans les 2 cas c'est du texte brut (ASCII ou ANSI)

Daniel60
16/11/2014, 20h51
L'offre perso c'est du mutualisé.
Tu avais certainement une .htaccess ou .ovhconfig qui a disparu lors de la manip. Ces fichiers sont invisibles et tu dois les faire apparaitre avec les options de ton client FTP.
Actuellement ton site affiche une erreur 500.

- - - Mise à jour - - -

Citation Envoyé par Nadrob
Bon, alors j'ai suivi un petit tuto donné par OVH, et inséré dans mon répertoire /www le code suivant: SetEnv PHP_VER 5_4 (enregistré préalablement sous TextEdit car j'ai un Mac), que j'ai ensuite renommé en .htaccess
Ca n'a pas fonctionné. Voici le message qui s'affiche:
"Internal Server Error
The server encountered an internal error or misconfiguration and was unable to complete your request.
Please contact the server administrator, postmaster@www.nadiarobert-bienetre.com and inform them of the time the error occurred, and anything you might have done that may have caused the error.
More information about this error may be available in the server error log."


Est-ce que c'est à cause de mon éditeur de texte? Que puis-je faire d'autre?
Oui, utilise notepad avec codage ANSI si tu es sur MS. TexEdit à la rigueur mais en le configurant en mode texte.

Nadrob
16/11/2014, 20h48
Bon, alors j'ai suivi un petit tuto donné par OVH, et inséré dans mon répertoire /www le code suivant: SetEnv PHP_VER 5_4 (enregistré préalablement sous TextEdit car j'ai un Mac), que j'ai ensuite renommé en .htaccess
Ca n'a pas fonctionné. Voici le message qui s'affiche:
"Internal Server Error
The server encountered an internal error or misconfiguration and was unable to complete your request.
Please contact the server administrator, postmaster@www.nadiarobert-bienetre.com and inform them of the time the error occurred, and anything you might have done that may have caused the error.
More information about this error may be available in the server error log."


Est-ce que c'est à cause de mon éditeur de texte? Que puis-je faire d'autre?

fritz2cat
16/11/2014, 20h44
Vois https://www.ovh.com/fr/g1207.configurer-php-web
Tout s'y trouve.

Nadrob
16/11/2014, 20h05
J'ai oublié de préciser que j'avais un hébergement perso, pas mutualisé. Comment est-ce que je peux mettre à jour PHP dans ce cas?

Encore merci d'avance à qui pourra m'aider à me dépêtrer de ce problème :-)

Nadrob
16/11/2014, 19h47
Bonsoir,

Depuis plusieurs mois, je travaille sur mon nouveau site internet sous Wordpress. J'avais créé un sous-répertoire à mon site actuel pour héberger provisoirement le site en chantier.
Ce soir, j'ai voulu remplacer mon ancien site en html par le nouveau, via mon client FTP. Le transfert des fichiers s'est bien passé, mais au moment de vérifier si mon site s'affichait bien, j'ai eu la mauvaise surprise de lire ce message:
"Votre serveur utilise la version 4.4.9 de PHP mais WordPress 4.0 nécessite au moins la version 5.2.4."
Résultat: je me retrouve dans un entre-deux, l'ancien site ayant été supprimé et le nouveau ne pouvant pas s'afficher!

Est-ce que quelqu'un peut m'expliquer ce qui se passe et comment résoudre ce problème?

Mon site est là: www.nadiarobert-bienetre.com

Merci

Nadrob